petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSNESGetFunctionLocal

get the local residual evaluation function information set with DMSNESSetFunctionLocal.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetFunctionLocal(DM dm,PetscErrorCode (**func)(DM,Vec,Vec,void*),void **ctx)

Not Collective

### Input Arguments

| dm | - DM with the associated callback

### Output Arguments

| func | - local residual evaluation
| ctx | - context for local residual evaluation

### See Also

DMSNESSetFunction(), DMSNESSetFunctionLocal(), DMDASNESSetJacobianLocal(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

### Level

beginner

### Location

src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages